import string
import secrets

from mongo.get_conn import db_conn


class user_data:
    """
        This class will allow us to
        interact with our data to interact
        just create a user_data var
    """
    def __init__(self):
        self.db = db_conn()

    def create_id(self):
        alphabet = string.ascii_letters + string.digits
        key = ''.join(secrets.choice(alphabet) for _ in range(24))
        return key

    def user_exists(self, username):
        """
            This function will accept a username
            if it find that user in the database it will return True
            and set set the existing_record variable of the class to the 
            queried record
        """
        query = { "username" : f"{username}" }
        record = self.db.users.find_one(query)
        if record:
            self.existing_record = record
            return True
        else:
            return False



    def add_user(self, username, password):
        """
            add to user table
            function accepts the username and password
            it will generate a uniqe key
        """

        key = self.create_id()
        insert_record = {
                         "_id" : f"{key}",
                         "username" : f"{username}",
                         "password" : f"{password}"
                         }
        self.db.users.insert_one(insert_record)

    def update_user(self, id, password):
        """
            update the user record password
            requires the id to be updated 
        """

        query = { "_id": f"{id}"}
        update_val = {"$set": {"password": f"{password}" }}
        self.db.users.update_one(query, update_val)


